﻿
/* Map Styles
-------------------------------------------------- */

.poligono-sistema:hover, .poligono-sistema path:hover {
    --lightning: calc(var(--baseLightning) + 12%);
    cursor: pointer;
}

.titulo-sistema:hover {
    --lightning: calc(var(--baseLightning) + 12%);
    cursor: pointer;
}

.text-data-container {
    font-weight: 800;
}

.map-title {
    position: absolute;
}

.data-atualization {
    font-size: 0.8rem;
    line-height: 0.8rem;
}

.mobile-home {
    display: none;
}

.mobile-system-card h5 {
    text-decoration: underline;
    font-weight: 800;
}

@media only screen and (max-width: 760px) {
    .map-title {
        position: relative;
    }

    .desktop-home {
        display: none;
    }

    .mobile-home {
        display: block;
    }
}

/* Table Styles
-------------------------------------------------- */

.sabesp-system {
    display: flex;
    border: 0.1rem solid #413078;
    
}

.sabesp-system div {
    font-size: 1.25rem;
    padding: 3rem 0rem;
    width: 14rem;
}

.sabesp-system table {
    width: 100%;
    display: table;
}

.sabesp-system table thead {
    border-bottom: 0.1rem solid #413078;
}

.sabesp-system table th, td {
    padding: 0.75rem 0rem;
}

.home-obs {
    font-size: 0.8rem;
    line-height: 0.8rem;
}

.sabesp-system tr:last-of-type {
    font-weight: bold;
}

@media only screen and (max-width: 760px) {

    .sabesp-system div {
        padding: 1rem;
        width: auto;
    }

    /* Force table to not be like tables anymore */
    table, thead, tbody, th, td, tr {
        display: block;
    }

        /* Hide table headers (but not display: none;, for accessibility) */
        thead tr {
            position: absolute;
            top: -9999px;
            left: -9999px;
        }

    td {
        /* Behave  like a "row" */
        border: none;
        border-bottom: 1px solid #eee;
        position: relative;
    }

        td:before {
            /* Now like a table header */
            position: absolute;
            /* Top/left values mimic padding */
            left: 6px;
            width: 45%;
            padding-right: 10px;
            white-space: nowrap;
        }

    .table-sabesp td {
        padding-left: 60%;
    }

    .sabesp-system {
        display: block;
    }

 /*
Label the data
*/

    .table-sabesp td:nth-of-type(1):before {
        content: "Sistema Produtor";
    }

    .table-sabesp td:nth-of-type(2):before {
        content: "Volume Total (hm³)";
    }

    .table-sabesp td:nth-of-type(3):before {
        content: "Volume Útil (hm³)";
    }

    .table-sabesp td:nth-of-type(4):before {
        content: "Volume Útil (%)";
    }

    .table-sabesp td:nth-of-type(5):before {
        content: "Vazão Afluente (m³/s)";
    }

    .table-sabesp td:nth-of-type(6):before {
        content: "Vazão Defluente (m³/s)";
    }

    .table-sabesp td:nth-of-type(7):before {
        content: "Chuva (mm)";
    }

    .table-sabesp tr:nth-of-type(odd) {
        background: #F3F3F3;
    }

    .table-sabesp tr:nth-of-type(even) {
        background: white;
    }

    .sabesp-system table thead {
        border-bottom: none;
    }
}